%define		oname aMule

Name:		amule
Version:	2.3.1
Release:	%mkrel 1
Summary:	File sharing client compatible with eDonkey
License:	GPLv2+
Group:		Networking/File transfer
Source:		http://ovh.dl.sourceforge.net/sourceforge/amule/%{oname}-%{version}.tar.bz2
Source10:	%{name}-16.png
Source11:	%{name}-32.png
Source12:	%{name}-48.png
URL:		http://amule.org
Patch0:		aMule-2.3.1rc2-wxversion.patch
BuildRequires:	gd-devel >= 2.0
BuildRequires:	curl-devel
Buildrequires:	ncurses-devel
Buildrequires:	readline-devel
BuildRequires:	gettext-devel
Buildrequires:	desktop-file-utils
BuildRequires:	wxgtku-devel >= 2.8
BuildRequires:	libcryptopp-devel
BuildRequires:	libupnp-devel
BuildRequires:	libgeoip-devel
BuildRequires:	binutils-devel

Conflicts:	xmule < 1.6.0-2plf

%description
aMule is an easy to use multi-platform client for ED2K Peer-to-Peer
Network.  It is a fork of xMule, whis was based on emule for
Windows. aMule currently supports (but is not limited to) the
following platforms: Linux, *BSD and MacOS X.

%package	commandline
Summary:	File sharing client compatible with eDonkey
Group:		Networking/File transfer
Requires:	amule

%description	commandline
aMule is an easy to use multi-platform client for ED2K Peer-to-Peer
Network.  It is a fork of xMule, whis was based on emule for
Windows. aMule currently supports (but is not limited to) the
following platforms: Linux, *BSD and MacOS X.

This is the command line tool to control aMule remotely (or locally:).

%package	webserver
Summary:	File sharing client compatible with eDonkey
Group:		Networking/File transfer
Requires:	amule

%description	webserver
aMule is an easy to use multi-platform client for ED2K Peer-to-Peer
Network.  It is a fork of xMule, whis was based on emule for
Windows. aMule currently supports (but is not limited to) the
following platforms: Linux, *BSD and MacOS X.

This is the webserver to control aMule remotely (or locally:).

%prep
%setup -q -n %{oname}-%{version}
%patch0 -p1

%build
./autogen.sh
%configure2_5x \
--with-wx-config=%{_bindir}/wx-config-unicode\
		--enable-amulecmd \
		--enable-amule-gui \
		--enable-webserver\
		--disable-xas\
		--enable-cas\
		--enable-wxcas\
		--enable-alc\
		--enable-alcc \
		--disable-debug\
		--enable-amule-daemon \
		--enable-optimize \
		--enable-geoip
%make

%install
%__rm -rf %{buildroot}

%makeinstall_std
%__install -m 644 -D %{SOURCE10} %{buildroot}%{_miconsdir}/%{name}.png
%__install -m 644 -D %{SOURCE11} %{buildroot}%{_iconsdir}/%{name}.png
%__install -m 644 -D %{SOURCE12} %{buildroot}%{_liconsdir}/%{name}.png

# Fix wrong-script-end-of-line-encoding
perl -pi -e 's/\015$//' %{buildroot}%{_datadir}/doc/amule-%{version}/amule-win32.HOWTO.txt

%__mv %{buildroot}%{_bindir}/ed2k %{buildroot}%{_bindir}/ed2k-%{name}
%__rm -rf %{buildroot}%{_datadir}/doc/%{oname}-%{version}
%__rm -f %{buildroot}%{_libdir}/xchat/plugins/xas.pl

desktop-file-install --vendor="" \
  --add-category="GTK" \
  --add-category="FileTransfer" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

# find_lang macro is different since 2012
%if %{mdvver} <= 201100
%find_lang %{name} %{name} %{name}gui alc cas wxcas ed2k --with-man
%find_lang commandline alcc %{name}cmd %{name}d --with-man
%else
%find_lang %{name} %{name}gui alc cas wxcas ed2k %{name}.lang --with-man
%find_lang alcc %{name}cmd %{name}d commandline.lang --with-man
%endif
%find_lang %{name}web --with-man


%clean
%__rm -rf %{buildroot}

%post
update-alternatives --install %{_bindir}/ed2k ed2k %{_bindir}/ed2k-%{name} 5

%postun
update-alternatives --remove ed2k %{_bindir}/ed2k-%{name}

%files -f %{name}.lang
%defattr(-,root,root)
%doc docs/*
%{_datadir}/applications/alc.desktop
%{_datadir}/applications/wxcas.desktop
%{_datadir}/pixmaps/alc.xpm
%{_datadir}/pixmaps/wxcas.xpm
%{_bindir}/amule
%{_bindir}/amulegui
%{_bindir}/wxcas
%{_bindir}/cas
%{_bindir}/ed2k-amule
%{_bindir}/alc
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/skins
%{_datadir}/applications/amule.desktop
%{_datadir}/applications/amulegui.desktop
%{_datadir}/pixmaps/amule.xpm
%{_datadir}/pixmaps/amulegui.xpm
%{_datadir}/cas
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_mandir}/man1/alc.1*
%{_mandir}/man1/amule.1*
%{_mandir}/man1/amulegui.1*
%{_mandir}/man1/cas.1*
%{_mandir}/man1/ed2k.1*
%{_mandir}/man1/wxcas.1*

%files commandline -f commandline.lang
%defattr(-,root,root)
%doc docs/README
%{_bindir}/%{name}cmd
%{_bindir}/alcc
%{_bindir}/amuled
%{_mandir}/man1/alcc.1*
%{_mandir}/man1/amulecmd.1*
%{_mandir}/man1/amuled.1*

%files webserver -f %{name}web.lang
%defattr(-,root,root)
%doc docs/README
%{_bindir}/%{name}web
%{_datadir}/amule/webserver/*
%{_mandir}/man1/amuleweb.1*



%changelog
* Tue Jan 17 2012 Andrey Bondrov <abondrov@mandriva.org> 2.3.1-1mdv2012.0
+ Revision: 761870
- New version 2.3.1 final, drop useless configure options, fix find_lang usage
- Add patch to reduce required wxWidgets version to 2.8.11 which is enough

* Mon Sep 26 2011 Andrey Bondrov <abondrov@mandriva.org> 2.3.1-0.rc2
+ Revision: 701314
- New version: 2.3.1rc2

* Thu Aug 04 2011 Andrey Bondrov <abondrov@mandriva.org> 2.3.1-0.rc1
+ Revision: 693199
- imported package amule


* Sat Jul 23 2011 Andrey Bondrov <bondrov@math.dvgu.ru> 2.3.1-0.rc1mdv2011.0
- 2.3.1 RC1
- Import from PLF
- Remove PLF reference

* Thu Aug 19 2010 Gtz Waschk <goetz@zarb.org> 2.2.6-4plf2011.0
- update URL
- fix build with new wxGTK

* Tue Apr 27 2010 Gtz Waschk <goetz@zarb.org> 2.2.6-3plf2010.1
- rebuild for new binutils

* Wed Nov 25 2009 Gtz Waschk <goetz@zarb.org> 2.2.6-2plf2010.1
- rebuild for new binutils

* Wed Sep 23 2009 Gtz Waschk <goetz@zarb.org> 2.2.6-1plf2010.0
- update file list
- new version

* Mon May 18 2009 Guillaume Bedot <littletux@zarb.org> 2.2.5-1plf2010.0
- New release, includes bugfix

* Tue Apr 14 2009 Gtz Waschk <goetz@zarb.org> 2.2.4-1plf2009.1
- enable optimization
- new version

* Wed Feb 11 2009 Gtz Waschk <goetz@zarb.org> 2.2.3-2plf2009.1
- rebuild for new binutils

* Tue Dec 30 2008 Gtz Waschk <goetz@zarb.org> 2.2.3-1plf2009.1
- build with binutils
- update license
- new version

* Fri Nov  7 2008 Gtz Waschk <goetz@zarb.org> 2.2.2-2plf2009.1
- enable UPNP and GeoIP support

* Tue Aug 12 2008 Gtz Waschk <goetz@zarb.org> 2.2.2-1plf2009.0
- new version

* Thu Jun 12 2008 Gtz Waschk <goetz@zarb.org> 2.2.1-1plf2009.0
- update file list
- depend on cryptopp
- drop old menu
- drop patches
- new version

* Fri Oct 12 2007 Gtz Waschk <goetz@zarb.org> 2.1.3-4plf2008.1
- fix desktop entries
- fix buildrequires (bug #148)

* Fri Dec 29 2006 Gtz Waschk <goetz@zarb.org> 2.1.3-3plf2007.1
- patch for wxgtk 2.8

* Mon Jun 19 2006 Gtz Waschk <goetz@zarb.org> 2.1.3-2plf2007.0
- xdg menu

* Mon Jun 12 2006 Gtz Waschk <goetz@zarb.org> 2.1.3-1plf2007.0
- New release 2.1.3
